Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.format
Class DistanceValuesByNodeBranchDataEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.format.NodeBranchDataFormatEdit
              info.bioinfweb.treegraph.document.undo.format.DistanceValuesByNodeBranchDataEdit

All Implemented Interfaces:
  UndoableEdit

    public class DistanceValuesByNodeBranchDataEdit

extends NodeBranchDataFormatEdit

Since:
  2.0.23
Author:
  Ben Stöver

Field Summary
`private boolean` | `changeUndefined`
`private float` | `factor`
`private boolean` | `inheritToTerminals`
`private float` | `min`
`private DistanceValuesBackup` | `oldValues`
`private NodeBranchDataAdapter` | `sourceAdapter`
`private DistanceAdapter[]` | `targetAdapters`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`DistanceValuesByNodeBranchDataEdit(Document document, NodeBranchDataAdapter sourceAdapter, float min, float max, boolean changeUndefined, boolean inheritToTerminals, DistanceAdapter[] targetAdapters)`

Method Summary
`String` | `getPresentationName()`
`void` | `redo()`
`private void` | `setNewValues(Node root)` Sets the branch widths according to the specified range and node data.
`void` | `undo()`

Methods inherited from class info.bioinfweb.treegraph.document.undo.format.NodeBranchDataFormatEdit
`calculateMaxNodeData`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getIsSubedit, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit, setIsSubedit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sourceAdapter

    private NodeBranchDataAdapter sourceAdapter

### min

    private float min

### factor

    private float factor

### changeUndefined

    private boolean changeUndefined

### inheritToTerminals

    private boolean inheritToTerminals

### targetAdapters

    private DistanceAdapter[] targetAdapters

### oldValues

    private DistanceValuesBackup oldValues

Constructor Detail

### DistanceValuesByNodeBranchDataEdit

    public DistanceValuesByNodeBranchDataEdit(Document document,
                                              NodeBranchDataAdapter sourceAdapter,
                                              float min,
                                              float max,
                                              boolean changeUndefined,
                                              boolean inheritToTerminals,
                                              DistanceAdapter[] targetAdapters)

Method Detail

### setNewValues

    private void setNewValues(Node root)

  Sets the branch widths according to the specified range and node data.

  Parameters:
    `root` -

### redo

    public void redo()
              throws CannotRedoException

  Specified by:
    `redo` in interface `UndoableEdit`
  Overrides:
    `redo` in class `DocumentEdit`
  Throws:
    `CannotRedoException`

### undo

    public void undo()
              throws CannotUndoException

  Specified by:
    `undo` in interface `UndoableEdit`
  Overrides:
    `undo` in class `DocumentEdit`
  Throws:
    `CannotUndoException`

### getPresentationName

    public String getPresentationName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD